Skip to navigation

Delete Company

Deletes a Company account.

Independent vs. Dependent Companies Behavior

If your store is using Independent Companies behavior, deleting a Company account has no effect on its assigned customer group.

With Dependent Companies behavior, Company accounts and BigCommerce customer groups have a one-to-one relationship. Deleting a Company will also delete the corresponding customer group.

Authentication

X-Auth-Tokenstring
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

X-Store-Hashstring
HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.

Path parameters

companyIdintegerRequired
Unique numeric ID of the Company account.

Response

OK
codeintegerOptional
dataobjectOptional
metaobjectOptional

Errors

404
Not Found Error